Results 1 to 5 of 5

Thread: Cannot install libmysqlclient-dev

  1. #1
    Private
    Join Date
    Feb 2018
    Posts
    22
    Thanks
    10
    Thanked 14 Times in 13 Posts

    Cannot install libmysqlclient-dev

    Code:
    root@borisc:~# apt-get install libmysqlclient-dev:i386
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Package libmysqlclient-dev:i386 is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    
    E: Package 'libmysqlclient-dev:i386' has no installation candidate

  2. The Following User Says Thank You to buLLeT_ For This Useful Post:

    kubislav23 (24th March 2018)

  3. #2
    Global Mossaderator Mitch's Avatar
    Join Date
    Nov 2012
    Posts
    620
    Thanks
    186
    Thanked 415 Times in 281 Posts
    Quote Originally Posted by buLLeT_ View Post
    Code:
    E: Package 'libmysqlclient-dev:i386' has no installation candidate
    Which Linux distro and version?

    Did you follow this guide?

    https://killtube.org/showthread.php?...=Libcod+ubuntu

  4. #3
    Private
    Join Date
    Feb 2018
    Posts
    22
    Thanks
    10
    Thanked 14 Times in 13 Posts
    Using ubuntu 64bit, I followed that tutorial

    I complie libcod

    Code:
    root@borisc:~/libcod# ./doit.sh cod2_1_0
    
    Choose Your MySQL variant:
    
    	0. MySQL disabled. (default)
    
    	1. Default MySQL variant: A classic MySQL implentation
    	made by kung and izno.
    	Multiple connections, multiple threads,
    	good for servers that use
    	remote MySQL sessions, IRC stuff, and etc.
    
    	2. VoroN's MySQL variant. My own MySQL implentation.
    	Native callbacks, native arguments,
    	single connection, single thread,
    	good for local MySQL session,
    	less cpu usage, less memory usage.
    
    	Press a key to continue...
    ##### COMPILE cod2_1_0 CRACKING.CPP #####
    ##### COMPILE cod2_1_0 GSC.CPP #####
    ##### COMPILE cod2_1_0 GSC_BOTS.CPP #####
    ##### COMPILE cod2_1_0 GSC_ENTITY.CPP #####
    ##### COMPILE cod2_1_0 GSC_EXEC.CPP #####
    ##### COMPILE cod2_1_0 GSC_MEMORY.CPP #####
    ##### COMPILE cod2_1_0 GSC_MYSQL.CPP #####
    ##### COMPILE cod2_1_0 GSC_PLAYER.CPP #####
    ##### WARNING: SQLite lib not found, SQLite compilation skipped #####
    ##### COMPILE cod2_1_0 GSC_UTILS.CPP #####
    ##### COMPILE cod2_1_0 GSC_WEAPONS.CPP #####
    ##### COMPILE cod2_1_0 LIBCOD.CPP #####
    ##### LINKING libcod2_1_0.so #####
    Error

    Code:
    /root/_bin/cod2/cod2_lnxded_1_0a: error while loading shared libraries: libmysql.so.16: cannot open shared object file: No such file or directory

  5. #4
    Corporal maxdamage99's Avatar
    Join Date
    Aug 2014
    Location
    Russia
    Posts
    350
    Thanks
    73
    Thanked 77 Times in 65 Posts
    Your try compile libcod, you can use compiled libcod version
    write shit code's

  6. #5
    Assadministrator IzNoGoD's Avatar
    Join Date
    Aug 2012
    Posts
    1,543
    Thanks
    17
    Thanked 906 Times in 563 Posts
    did you even do the dpkg command from the guide, followed by an apt-get update?
    "Does not work" is an error report for a bug between keyboard and chair.

    All hail Artie Effem

    Sending me a private message makes me want to help you LESS.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •